/*
** BOOTCOEG.prg
**  Purpose: Generate "parametric bootstrap" estimates of
**         periodic regression coefficients of yearly changes in seasonal
**          on yearly changes on nonseasonal components
**  Author: Marius Ooms
**  Date: 14/10/96
**  email: ooms@econometriclinks.com
**  URL:    http://www.econ.vu.nl/econometriclinks/ooms/programs/unempcor.zip
*/
/*
**  Loadcoef.prg loads phi,beta,omega,y0
*/
/*
**  Germany
*/
@y0=521|191|135|201;@
@y0=ln(y0);@
y0=1825|1616|1658|1650;
@y0=ln(y0);@
norejec=0;
henwidth=5;   @  length Henderson-filter in Census X-11  SA @
repl1=1;      @  KEEP AT 1 for the moment! @
repl2=10000;
betas=zeros(s,repl1*repl2);
T=44 ;        @ length of sample  in years @
x=ones(1,T);  @ exogenous variables        @
i=1;
time0=hsec;
do while i<repl2+0.5;
{ysim}=pvarsim(phi,beta,omega,x,y0,repl1);
graphset;
if i==1;
  _pltype=6|6|6|6;
@  xy(0,ysim);@
  _pltype=6|6|6|6;
@  xy(0,trimr(ysim,1,0)-trimr(ysim,0,1));@
endif;
j=1;
 do while j<repl1+0.5;
  if minc(minc(ysim))>1e-5; @ only relevant if logs are to be taken here @
    {ysimsa,censlen}=censpar(ln(ysim),henwidth);
     ysimsa=exp(ysimsa);
@   {ysimsa,censlen}=censpar(ysim,henwidth);@
   censlen=censlen/(2*s);
   betas[.,(i-1)*repl1+j]=forcregr((trimr(ysim,censlen,censlen)-ysimsa),ysimsa);
  else;
   i=i-1;
   norejec=norejec+1;
  endif;
 j=j+1;
 endo;
 i=i+1;
 if i%100==0;
  locate 15,1;
  "tijd-i" repl2-i;
 endif;
endo;
betas=betas';
betasf=sqrt(diag(vcx(betas)));
da=date;
ti=time;
betasn=betas;
i=1;
Do while i<s+0.5;
 betas2=betas[.,i];
 betasn[.,i]=sortc(betas2,1);
 i=i+1;
endo;
betas=0;
replic=rows(betasn);
format 11,4;
betam=meanc(betasn);
g=rows(betam);
output file = gerlog.out reset;
"BOOTSTRAP ESTIMATES FORCSEAS REGRESSION:";
"Date and time:";
(da');
(ti');
"Replications:" replic;
" no. of rejections: " norejec;
"Observations (Q):" rows(ysimsa)*cols(ysimsa);
mat=betam~betasf~betam./betasf~cdfnc(abs(betam./betasf));
mat=mat~(betasn[replic*0.05,.])';
mat=mat~(betasn[replic*0.95,.])';
" Mean beta       stand.error    t-value   p-value    betas 5\%:      95\%";
mat;
" p  g  k  ";
p~g~k;
" y0: starting ";
y0';
"phi (AR-coeff): ";
phi;
"beta (constant): ";
beta;
"omega: ";
omega;
output off;
_plctrl=0;
title("Empirical Bootstrap CDFs OLS est. level GER VAR\000 MULTIPLICATIVE SA");
xy(betasn,seqa(0,1/replic,replic));
"results in gerlog.out";
