/*
**  FORCREGR
**   Purpose: Compute periodic regressions for relaions SA and NSA component
**   Format:   {betav}=forcregr(xvs,xvsa);
**         Input: xvs: Txs matrix of estimated season in data (VQ format)
**               xvsa: Txs matrix of SA data (VQ format)
**         Output: {betav}: sx1 vector of OLS coefficients
**  Author: Marius Ooms
**  Date:   14/10/96
**  email:  ooms@econometriclinks.com
**  URL:    http://www.econ.vu.nl/econometriclinks/ooms/programs/unempcor.zip
**  Reference:
**    Ooms, Marius and Franses, Philip Hans, (1997), "On Periodic Correlations
**    Between Estimated Seasonal and NonSeasonal Components in Germand and
**    US Unemployment", Journal of Business and Economic Statistics,  15, 470-481
**
*/
proc forcregr(xvs,xvsa);
local betav,xvsd,xvsad,i,s;
 @ Yearly differences @
 s=cols(xvs);
/*
  title("series");
 _plctrl=0;
 xy(0,xvs+xvsa);
 title("season");
 xy(0,xvs);
 title("SA");
 xy(0,xvsa);
 title("Seas and SA");
 xy(xvs[.,1],xvsa[.,1]);
*/
 xvsd=trimr(xvs,1,0)-trimr(xvs,0,1);
 xvsd=xvsd-(meanc(xvsd))';
 xvsad=trimr(xvsa,1,0)-trimr(xvsa,0,1);
 xvsad=xvsad-(meanc(xvsad))';
 i=1;
 betav=zeros(s,1);
 do while i<s+0.5;
  betav[i]=xvsd[.,i]/xvsad[.,i];
/*
  " i " i;
  wait;
 _plctrl=-1;
  xy(xvsad[.,i],xvsd[.,i]);
*/
  i=i+1;
 endo;
retp(betav);
endp;
