/*
** JBESfi10.prg
**  Purpose: Produce Figure in
**   Reference:
**    Ooms, Marius and Franses, Philip Hans, (1997), "On Periodic Correlations
**    Between Estimated Seasonal and NonSeasonal Components in Germand and
**    US Unemployment", Journal of Business and Economic Statistics,  15, 470-481
**
**  Author: Marius Ooms
**  Date:   14/10/96
**  email:  ooms@econometriclinks.com
**  URL:    http://www.econ.vu.nl/econometriclinks/ooms/programs/unempcor.zip
**
*/
y=loadd("unemusa");
tim=y[.,3]-1900;
y=trimr(ln(y),0,4);
tim=trimr(tim,0,4);
y[.,1]=y[.,1]-y[.,2];
xp=trimr(y[.,2],4,0)-trimr(y[.,2],0,4);
yp=trimr(y[.,1],4,0)-trimr(y[.,1],0,4);
n=rows(yp);
ny=n/4;
s1=seqa(1,4,ny);
tim=trimr(tim,4,0);
zp=trunc(tim);
q=0;
do while q<4;
 x=xp[s1+q];
 y=yp[s1+q];
 z=zp[s1+q];
graphset;
fonts("simplex complex microb simgrma");
_pcolor=15;
_pticout=1;
_plwidth=3;
_plctrl=-1;
_psymsiz=1;
_pdate=0;
 titstr="\202Correlation US Q]"$+ftos(q+1,"*.*lG",1,1)$+"[";
 if q==0;
 title("(a) "$+titstr);
 elseif q==1;
 title("(b) "$+titstr);
 elseif q==2;
 title("(c) "$+titstr);
 elseif q==3;
 title("(d) "$+titstr);
 endif;
 ylabel("\202Change Seasonal");
 xlabel("\202Change Adjusted");
 xex=ones(rows(x),1)~x;
 beta=y/xex;
 yhat=xex*beta;
 betas=sqrt(( (sumc((y-yhat)^2))./(rows(y)-cols(xex))).*diag(invpd(xex'xex)) );
 i=1;
 ch=0.12; @ character height in inches @
 _pmsgctl=x[i]~y[i]~ch~90~1~15~0;
 _pmsgstr="\201"$+ftos(z[i],"*.*lG",2,2);
 do while (i< rows(x)+1);
 _pmsgctl=_pmsgctl|x[i]~y[i]~ch~90~1~15~0;
 _pmsgstr=_pmsgstr$+"\000"$+ftos(z[i],"*.*lG",2,2);
 i=i+1;
 endo;
 begwind;
 window(1,1,0);
 makewind(0,0,0,0,0);
 scale(-0.3|0.6,minc(y)|maxc(y));
 xtics(-0.3,0.6,0.1,0);
 if q==1;
  scale(-0.3|0.6,minc(y)|maxc(y)+0.002);
 elseif q==2;
  scale(-0.3|0.5,minc(y)|maxc(y));
  xtics(-0.3,0.5,0.1,0);
 endif;
 xy(x,y);
 _plctrl=0;
 _pltype=4;
 ch=0.12;
if q==0;
 _pmsgctl=0.3~0.004~ch~0~1~15~0;
elseif q==1;
 _pmsgctl=0.3~-0.001~ch~0~1~15~0;
elseif q==2;
 _pmsgctl=0.3~-0.002~ch~0~1~15~0;
else;
 _pmsgctl=0.3~0.001~ch~0~1~15~0;
endif;
 _pmsgstr="\201"$+ftos(beta[2],"*.*lf",6,3)$+ftos(betas[2],"( %*.*lf",3,3)$+")";
 ind=sortind(x);
 ind=ind[1]|ind[rows(ind)];
 xy(x[ind],yhat[ind]);
endwind;
q=q+1;
if q==1;
 dos copy pqgcvt.ps jbesf10a.eps;
elseif q==2;
 dos copy pqgcvt.ps jbesf10b.eps;
elseif q==3;
 dos copy pqgcvt.ps jbesf10c.eps;
elseif q==4;
 dos copy pqgcvt.ps jbesf10d.eps;
endif;
endo;
