/*
** JBESfig1.prg
**  Purpose: Produce Figure in
**   Ooms, Marius and Franses, Philip Hans, (1997), "On Periodic Correlations
**   Between Estimated Seasonal and NonSeasonal Components in Germand and
**   US Unemployment", Journal of Business and Economic Statistics,  15, 470-481
**
**  Author: Marius Ooms
**  Date:   14/10/96
**  email:  ooms@econometriclinks.com
**  URL:    http://www.econ.vu.nl/econometriclinks/ooms/programs/unempcor.zip
**
*/
y=loadd("unemger");
tim=y[.,3]-1900;
n=rows(y);
ny=n/4;
s1=seqa(1,4,ny);
graphset;
fonts("simplex complex microb simgrma");
begwind;
window(1,1,0);
makewind(0,0,0,0,0);
_pcolor=15;
_plwidth=3;
_pticout=1;
_plctrl=0;
_pdate=0;
title("\202Unemployment Germany");
scale(tim,y[.,1]);
ch=0.15;
xtics(minc(tim),maxc(tim),1,4);
 _pmsgctl=tim[65]~y[65,1]~ch~0~1~15~0;
 _pmsgstr="\201"$+ftos(1,"*.*lG",1,1);
 _pmsgctl=_pmsgctl|tim[121]~y[121,1]~ch~0~1~15~0;
 _pmsgstr=_pmsgstr$+"\000"$+ftos(1,"*.*lG",1,1);
_pltype=6;
xy(tim[s1],y[s1,1]);
_pltype=3;
 _pmsgctl=tim[66]~y[66,1]~ch~0~1~15~0;
 _pmsgstr="\201"$+ftos(2,"*.*lG",1,1);
 _pmsgctl=_pmsgctl|tim[122]~y[122,1]~ch~0~1~15~0;
 _pmsgstr=_pmsgstr$+"\000"$+ftos(2,"*.*lG",1,1);
xy(tim[s1+1],y[s1+1,1]);
_pltype=4;
 _pmsgctl=tim[67]~y[67,1]-80~ch~0~1~15~0;
 _pmsgstr="\201"$+ftos(3,"*.*lG",1,1);
 _pmsgctl=_pmsgctl|tim[123]~y[123,1]~ch~0~1~15~0;
 _pmsgstr=_pmsgstr$+"\000"$+ftos(3,"*.*lG",1,1);
xy(tim[s1+2],y[s1+2,1]);
_pltype=5;
 _pmsgctl=tim[68]~y[68,1]~ch~0~1~15~0;
 _pmsgstr="\201"$+ftos(4,"*.*lG",1,1);
 _pmsgctl=_pmsgctl|tim[124]~y[124,1]~ch~0~1~15~0;
 _pmsgstr=_pmsgstr$+"\000"$+ftos(4,"*.*lG",1,1);
xy(tim[s1+3],y[s1+3,1]);
endwind;
dos copy pqgcvt.ps jbesf1.eps
