/*
** JBESfig2.prg
**  Purpose: Produce Figure in
**   Ooms, Marius and Franses, Philip Hans, (1997), "On Periodic Correlations
**   Between Estimated Seasonal and NonSeasonal Components in Germand and
**   US Unemployment", Journal of Business and Economic Statistics,  15, 470-481
**
**  Author: Marius Ooms
**  Date:   14/10/96
**  email:  ooms@econometriclinks.com
**  URL:    http://www.econ.vu.nl/econometriclinks/ooms/programs/unempcor.zip
**
*/
y=loadd("unemusa");
tim=y[.,3]-1900;
graphset;
fonts("simplex complex microb simgrma");
begwind;
window(1,1,0);
makewind(0,0,0,0,0);
_pcolor=15;
_plwidth=3;
_pticout=1;
_plctrl=0;
_pdate=0;
y=trimr(ln(y),0,4);
n=rows(y);
ny=n/4;
s1=seqa(1,4,ny);
tim=trimr(tim,0,4);
title("\202Log Unemployment US");
scale(tim|tim+0.50,y[.,1]);
xtics(minc(tim),maxc(tim)+0.50,1,4);
ytics(7.8,9.5,0.2,1);
_pltype=6;
ch=0.15;
 _pmsgctl=tim[13]~y[13,1]~ch~0~1~15~0;
 _pmsgstr="\201"$+ftos(1,"*.*lG",1,1);
 _pmsgctl=_pmsgctl|tim[133]~y[133,1]~ch~0~1~15~0;
 _pmsgstr=_pmsgstr$+"\000"$+ftos(1,"*.*lG",1,1);
xy(tim[s1],y[s1,1]);
_pltype=3;
 _pmsgctl=tim[14]~y[14,1]~ch~0~1~15~0;
 _pmsgstr="\201"$+ftos(2,"*.*lG",1,1);
 _pmsgctl=_pmsgctl|tim[134]~y[134,1]~ch~0~1~15~0;
 _pmsgstr=_pmsgstr$+"\000"$+ftos(2,"*.*lG",1,1);
xy(tim[s1+1],y[s1+1,1]);
_pltype=4;
 _pmsgctl=tim[15]~y[15,1]~ch~0~1~15~0;
 _pmsgstr="\201"$+ftos(3,"*.*lG",1,1);
 _pmsgctl=_pmsgctl|tim[135]~y[135,1]~ch~0~1~15~0;
 _pmsgstr=_pmsgstr$+"\000"$+ftos(3,"*.*lG",1,1);
xy(tim[s1+2],y[s1+2,1]);
_pltype=5;
 _pmsgctl=tim[16]~y[16,1]-0.10~ch~0~1~15~0;
 _pmsgstr="\201"$+ftos(4,"*.*lG",1,1);
 _pmsgctl=_pmsgctl|tim[136]~y[136,1]~ch~0~1~15~0;
 _pmsgstr=_pmsgstr$+"\000"$+ftos(4,"*.*lG",1,1);
xy(tim[s1+3],y[s1+3,1]);
endwind;
dos copy pqgcvt.ps jbesf2.eps
