/*
** JBESfig4.prg
**  Purpose: Produce Figure in
**   Ooms, Marius and Franses, Philip Hans, (1997), "On Periodic Correlations
**   Between Estimated Seasonal and NonSeasonal Components in Germand and
**   US Unemployment", Journal of Business and Economic Statistics,  15, 470-481
**
**  Author: Marius Ooms
**  Date:   14/10/96
**  email:  ooms@econometriclinks.com
**  URL:    http://www.econ.vu.nl/econometriclinks/ooms/programs/unempcor.zip
**
*/
y=loadd("unemusa");
tim=y[.,3]-1900;
graphset;
fonts("simplex complex microb simgrma");
begwind;
window(1,1,0);
makewind(0,0,0,0,0);
_pcolor=15;
_plwidth=3;
_pticout=1;
_plctrl=0;
_pdate=0;
y=trimr(ln(y),0,4);
y=trimr(y,1,0)-trimr(y,0,1);
tim=trimr(tim,1,0);
n=rows(y);
ny=n/4;
s2=seqa(1,4,ny+1);
s1=seqa(4,4,ny);
tim=trimr(tim,0,4);
title("\202Change Log Unemployment US");
scale((minc(tim)-0.25)|maxc(tim),y[.,1]);
xtics(minc(tim)-0.25,maxc(tim),1,4);
ytics(-0.15,0.39,0.1,1);
ch=0.15;
 _pmsgctl=tim[68]~y[68,1]+0.005~ch~0~1~15~0;
 _pmsgstr="\201"$+ftos(1,"*.*lG",1,1);
 _pmsgctl=_pmsgctl|tim[112]~y[112,1]+0.005~ch~0~1~15~0;
 _pmsgstr=_pmsgstr$+"\000"$+ftos(1,"*.*lG",1,1);
_pltype=6;
xy(tim[s1],y[s1,1]);
_pltype=3;
 _pmsgctl=tim[69]~y[69,1]+0.007~ch~0~1~15~0;
 _pmsgstr="\201"$+ftos(2,"*.*lG",1,1);
 _pmsgctl=_pmsgctl|tim[113]~y[113,1]-0.006~ch~0~1~15~0;
 _pmsgstr=_pmsgstr$+"\000"$+ftos(2,"*.*lG",1,1);
xy(tim[s2],y[s2,1]);
_pltype=4;
 _pmsgctl=tim[70]~y[70,1]+0.010~ch~0~1~15~0;
 _pmsgstr="\201"$+ftos(3,"*.*lG",1,1);
 _pmsgctl=_pmsgctl|tim[114]~y[114,1]+0.006~ch~0~1~15~0;
 _pmsgstr=_pmsgstr$+"\000"$+ftos(3,"*.*lG",1,1);
xy(tim[s2+1],y[s2+1,1]);
_pltype=5;
 _pmsgctl=tim[71]~y[71,1]+0.010~ch~0~1~15~0;
 _pmsgstr="\201"$+ftos(4,"*.*lG",1,1);
 _pmsgctl=_pmsgctl|tim[115]~y[115,1]+0.006~ch~0~1~15~0;
 _pmsgstr=_pmsgstr$+"\000"$+ftos(4,"*.*lG",1,1);
xy(tim[s2+2],y[s2+2,1]);
endwind;
dos copy pqgcvt.ps jbesf4.eps
