/*
** JBESfig6.prg
**  Purpose: Produce Figure in
**   Ooms, Marius and Franses, Philip Hans, (1997), "On Periodic Correlations
**   Between Estimated Seasonal and NonSeasonal Components in Germand and
**   US Unemployment", Journal of Business and Economic Statistics,  15, 470-481
**
**  Author: Marius Ooms
**  Date:   14/10/96
**  email:  ooms@econometriclinks.com
**  URL:    http://www.econ.vu.nl/econometriclinks/ooms/programs/unempcor.zip
**
*/
y=loadd("unemusa");
tim=y[.,3]-1900;
graphset;
fonts("simplex complex microb simgrma");
begwind;
window(1,1,0);
makewind(0,0,0,0,0);
_pcolor=15;
_plwidth=3;
_pticout=1;
_plctrl=0;
_pdate=0;
y=trimr(ln(y),0,4);
n=rows(y);
ny=n/4;
s1=seqa(1,4,ny);
tim=trimr(tim,0,4);
y[.,1]=y[.,1]-y[.,2];
title("\202Seasonals Log Unemployment US");
scale(tim,y[.,1]);
xtics(minc(tim),maxc(tim),1,4);
ytics(-0.1,0.15,0.02,1);
_pltype=6;
ch=0.15;
 _pmsgctl=tim[13]~y[13,1]~ch~0~1~15~0;
 _pmsgstr="\201"$+ftos(1,"*.*lG",1,1);
 _pmsgctl=_pmsgctl|tim[129]~y[129,1]~ch~0~1~15~0;
 _pmsgstr=_pmsgstr$+"\000"$+ftos(1,"*.*lG",1,1);
xy(tim[s1],y[s1,1]);
_pltype=3;
 _pmsgctl=tim[14]~y[14,1]+0.004~ch~0~1~15~0;
 _pmsgstr="\201"$+ftos(2,"*.*lG",1,1);
 _pmsgctl=_pmsgctl|tim[130]~y[130,1]+0.002~ch~0~1~15~0;
 _pmsgstr=_pmsgstr$+"\000"$+ftos(2,"*.*lG",1,1);
xy(tim[s1+1],y[s1+1,1]);
_pltype=4;
 _pmsgctl=tim[15]~y[15,1]+0.004~ch~0~1~15~0;
 _pmsgstr="\201"$+ftos(3,"*.*lG",1,1);
 _pmsgctl=_pmsgctl|tim[131]~y[131,1]-0.007~ch~0~1~15~0;
 _pmsgstr=_pmsgstr$+"\000"$+ftos(3,"*.*lG",1,1);
xy(tim[s1+2],y[s1+2,1]);
_pltype=5;
 _pmsgctl=tim[16]~y[16,1]+0.002~ch~0~1~15~0;
 _pmsgstr="\201"$+ftos(4,"*.*lG",1,1);
 _pmsgctl=_pmsgctl|tim[132]~y[132,1]+0.001~ch~0~1~15~0;
 _pmsgstr=_pmsgstr$+"\000"$+ftos(4,"*.*lG",1,1);
xy(tim[s1+3],y[s1+3,1]);
endwind;
dos copy pqgcvt.ps jbesf6.eps
