/*
** JBESfig7.prg
**  Purpose: Produce Figure in
**   Ooms, Marius and Franses, Philip Hans, (1997), "On Periodic Correlations
**   Between Estimated Seasonal and NonSeasonal Components in Germand and
**   US Unemployment", Journal of Business and Economic Statistics,  15, 470-481
**
**  Author: Marius Ooms
**  Date:   14/10/96
**  email:  ooms@econometriclinks.com
**  URL:    http://www.econ.vu.nl/econometriclinks/ooms/programs/unempcor.zip
**
*/
y=loadd("unemger");
tim=y[.,3]-1900;
n=rows(y);
ny=n/4;
s1=seqa(1,4,ny);
graphset;
fonts("simplex complex microb simgrma");
_pcolor=15;
_pticout=1;
_plwidth=3;
_plctrl=-1;
_psymsiz=1;
_pdate=0;
y[.,1]=y[.,1]-y[.,2];
x=trimr(y[.,2],4,0)-trimr(y[.,2],0,4);
y=trimr(y[.,1],4,0)-trimr(y[.,1],0,4);
tim=trimr(tim,4,0);
z=trunc(tim);
title("\202Pooled Correlation German Unemployment");
ylabel("\202Change Seasonal");
xlabel("\202Change Adjusted");
xex=ones(rows(x),1)~x;
beta=y/xex;
yhat=xex*beta;
betas=sqrt(( (sumc((y-yhat)^2))./rows(y)).*diag(invpd(xex'xex)) );
i=1;
ch=0.08; @ character height in inches @
_pmsgctl=x[i]~y[i]~ch~90~1~15~0;
_pmsgstr="\201"$+ftos(z[i],"*.*lG",2,2);
do while (i< rows(x));
_pmsgctl=_pmsgctl|x[i]~y[i]~ch~90~1~15~0;
_pmsgstr=_pmsgstr$+"\000"$+ftos(z[i],"*.*lG",2,2);
i=i+1;
endo;
begwind;
window(1,1,0);
makewind(0,0,0,0,0);
scale(-300|600,-90|85);
xtics(-300,600,100,0);
xy(x,y);
_plctrl=0;
_pltype=2;
ch=0.12;
_pmsgctl=200~2.0~ch~0~1~15~0;
_pmsgstr="\201"$+ftos(beta[2],"*.*lf",6,3)$+ftos(betas[2],"( %*.*lf",3,3)$+")";
xy(x,yhat);
endwind;
dos copy pqgcvt.ps jbesf7.eps
