
/*
**  This program tests coefficients of multiplicative seasonality
**   (seasonal factors)
**   in levels, for periodic model with
**
**            1. given long run variance
**            2. given cointegrating vectors
**
*/
let C1 = {.6038  .5840  .6407  .6489,
          .5840  .5648  .6197  .6276,
          .6407  .6197  .6799  .6886,
          .6489  .6276  .6886  .6975 };   @ long run covariance matrix @
/*
 Covariantie\Correlatiematrix regressoren onderstaande regressie:
          1          2          3          4
*/
let C2= { 11.4410    11.0657   12.1284  12.2852,
          11.0657    10.7050   11.7336  11.8861,
          12.1284    11.7336   12.8656  13.0336,
          12.2852    11.8861   13.0336  13.2068};
@ MA-polynomial to extract seasonal @
let z  = { .75   -.25   -.25   -.25 ,
          -.25    .75   -.25   -.25 ,
          -.25   -.25    .75   -.25 ,
          -.25   -.25   -.25    .75 };
let  x = { .25  .25  .25  .25};
x = x';
gam1 = - z'*C1*x./(x'*C1*x);
gam2 = - z'*C2*x./(x'*C2*x);
/*
gam1~gam2;
(z+gam1*x')*C1;
*/
/*
**  Solution from cointegrating vectors
**
*/
alpha=zeros(4,1);
/*
alpha[2]=0.95;
alpha[3]=0.95;
alpha[4]=1;
*/
alpha[2]=0.95;
alpha[3]=0.95;
alpha[4]=1/0.95;
alpha[1]=1/(alpha[2]*alpha[3]*alpha[4]);
 x= (0.25~0.25~0.25~0.25)|
    ( -1*alpha[2]~1~0~0)|
    (      0~(-1*alpha[3])~1~0)|
    (      0~0~(-1*alpha[4])~1 );
x=x';
z = z';
gam=z/x;
"lambda " gam[1,.];
lambda =gam[1,.];
lambdaf=rotater(lambda,1);
"lambdaf " lambdaf;
/* alpha(i) = 1+lambda(i)/(1+lambda(i-1) */
alpha2=(1+lambda)./(1+lambdaf);
"alphaback " alpha2;
"alpha'";
alpha';
l1=(3-(alpha[2]+alpha[2]*alpha[3]+alpha[2]*alpha[3]*alpha[4]))/
   ((1+alpha[2]+alpha[2]*alpha[3]+alpha[2]*alpha[3]*alpha[4]));
"l1 " l1;
alpha=(rotater(alpha',-1))';
alpha';
l2=(3-(alpha[2]+alpha[2]*alpha[3]+alpha[2]*alpha[3]*alpha[4]))/
   ((1+alpha[2]+alpha[2]*alpha[3]+alpha[2]*alpha[3]*alpha[4]));
"l2 "  l2;
alpha=(rotater(alpha',-1))';
l3=(3-(alpha[2]+alpha[2]*alpha[3]+alpha[2]*alpha[3]*alpha[4]))/
   ((1+alpha[2]+alpha[2]*alpha[3]+alpha[2]*alpha[3]*alpha[4]));
"l3 "  l3;
alpha=(rotater(alpha',-1))';
l4=(3-(alpha[2]+alpha[2]*alpha[3]+alpha[2]*alpha[3]*alpha[4]))/
   ((1+alpha[2]+alpha[2]*alpha[3]+alpha[2]*alpha[3]*alpha[4]));
"l4 "  l4;
"unit root strength";
"-1:" lambda*((1~-1~1~-1)');
"i,-i:" lambda*((1~1~-1~-1)');

